;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   rdmDisp.asm
; Purpose   :   ReadMem Wrist App Common Display Routines
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;DO NOT MODIFY THE FOLLOWING SUBROUTINE DEFINITION;;;;;;;;;;;;;;;;;

                IF @DEF('SUBROUTINE')
                    UNDEF SUBROUTINE
                ENDIF
                DEFINE  SUBROUTINE      "'rdmdisp'"
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Module Name : rdmwaDefaultDisplay
; Description : Display MODE DEFAULT at default entry. This is merely used by the wizard
; Input(s)    : None
; Output(s)   : None
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

                GLOBAL  rdmwaDefaultDisplay

rdmwaDefaultDisplay:

                ld        IY,#rdmwaDefaultDisplayLine1
                ld        IX,#rdmwaDefaultDisplayLine2
                car       rdmwaDisplayLine1Line2

                jr        rdmwaDefaultDisplayExit

rdmwaDefaultDisplayLine1:
                dw        LCDMAINDMLINE1COL10
                db        4, DM5_M, DM5_O, DM5_D, DM5_E

rdmwaDefaultDisplayLine2:
                dw        LCDMAINDMLINE2COL6
                db        7, DM5_D, DM5_E, DM5_F, DM5_A, DM5_U, DM5_L, DM5_T

rdmwaDefaultDisplayExit:

                ret


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Module Name : rdmwaSetDisplay
; Description : Display SET DEFAULT at set default entry. This is merely used by the wizard
; Input(s)    : None
; Output(s)   : None
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

                GLOBAL  rdmwaSetDisplay

rdmwaSetDisplay:

                ld        IY,#rdmwaSetDisplayLine1
                ld        IX,#rdmwaSetDisplayLine2
                car       rdmwaDisplayLine1Line2

                jr        rdmwaSetDisplayExit

rdmwaSetDisplayLine1:
                dw        LCDMAINDMLINE1COL14
                db        3, DM5_S, DM5_E, DM5_T

rdmwaSetDisplayLine2:

                dw        LCDMAINDMLINE2COL6
                db        7, DM5_D, DM5_E, DM5_F, DM5_A, DM5_U,DM5_L,DM5_T

rdmwaSetDisplayExit:

                ret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Module Name : rdmwaDisplayLine1Line2
; Description : Display message at Main Dot Matrix Line 1 and Line 2
; Input(s)    : IY = table address for Line1, IX = table address for Line2
; Output(s)   : None
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

rdmwaDisplayLine1Line2:

                push      IX
                LCD_DISP_FORMATTED_SMALL_PROP_WIDTH_DM_MSG

                pop       IX
                ld        IY,IX
                LCD_DISP_FORMATTED_SMALL_PROP_WIDTH_DM_MSG

rdmwaDisplayLine1Line2Exit:
                ret


;==============================================================================
;
;                THIS IS YOUR COSTUMIZED MODE BANNER CREATED FROM WRISTAPP WIZARD
;
;==============================================================================

                GLOBAL      rdmBannerMsg
rdmBannerMsg:

                db        LCDBANNER_COL1, DM5_D, DM5_I, DM5_S, DM5_P, DM5_L, DM5_A, DM5_Y
                db        LCDBANNER_COL1, DM5_M, DM5_E, DM5_M, DM5_O, DM5_R, DM5_Y
                db        LCD_END_BANNER


                ;TODO: Add your own functionality display below or edit above display routines
